//
//  YHHomeWebBottomView.swift
//  galaxy
//
//  Created by EDY on 2024/4/7.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHHomeWebBottomView: UIView {
    typealias Block = (Bool) -> ()
    var likeBlock: Block?
    var starBlock: Block?
    private var likeButton: YHHomeWebBottomButton!
    private var starButton: YHHomeWebBottomButton!
    var isStar: Bool = false {
        didSet {
            if isStar {
                starButton.setContent("home_web_stared", "34")
            } else {
                starButton.setContent("home_web_star", "34")
            }
        }
    }//是否收藏
    var isLike: Bool = false {
        didSet {
            if isLike {
                likeButton.setContent("home_web_liked", "34")
            } else {
                likeButton.setContent("home_web_like", "34")
            }
        }
    }//是否点赞

    override init(frame: CGRect) {
        super.init(frame: frame)
        backgroundColor = .white
        setUpView()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func setUpView() {
        
        likeButton = {
            let button = YHHomeWebBottomButton()
            button.setContent("home_web_like", "652")
            button.addTarget(self, action: #selector(likeBtnClick), for: .touchUpInside)
            return button
        }()
        addSubview(likeButton)
        likeButton.snp.makeConstraints { make in
            make.right.equalTo(-31)
            make.top.equalTo(10)
            make.height.equalTo(39)
            make.width.equalTo(24)
        }
        
        starButton = {
            let button = YHHomeWebBottomButton()
            button.setContent("home_web_star", "34")
            button.addTarget(self, action: #selector(starBtnClick), for: .touchUpInside)
            return button
        }()
        addSubview(starButton)
        starButton.snp.makeConstraints { make in
            make.right.equalTo(-79)
            make.top.equalTo(10)
            make.height.equalTo(39)
            make.width.equalTo(24)
        }
    }
    
    @objc private func likeBtnClick() {
        isLike = !isLike
        if let block = likeBlock {
            block(isLike)
        }
    }
    
    @objc private func starBtnClick() {
        isStar = !isStar
        if let block = starBlock {
            block(isStar)
        }
    }
}
