//
//  YHDocumentPromptTableViewCell.swift
//  galaxy
//
//  Created by EDY on 2024/3/28.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import AttributedString

class YHDocumentPromptTableViewCell: UITableViewCell {
    var centerView: UIImageView!
    var promptImageView: UIImageView!
    var titleLabel: UILabel!
    var subTitleLabel: UILabel!
    
    var dataSource: YHMyDocumentDetailModel? {
        didSet {
            updateAllViews()
        }
    }

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        selectionStyle = .none
        setupUI()
    }
    
    func setupUI() {
        backgroundColor = .clear
        centerView = {
            let view = UIImageView()
            view.image = UIImage(named: "document_prompt_bg")
            view.backgroundColor = .white
            view.layer.cornerRadius = kCornerRadius6
            return view
        }()
        contentView.addSubview(centerView)
        centerView.snp.makeConstraints { make in
            make.left.equalTo(16)
            make.right.equalTo(-16)
            make.top.equalTo(8)
            make.bottom.equalTo(-8)
        }
        
        promptImageView = {
            let view = UIImageView()
            view.image = UIImage(named: "document_prompt_icon")
            return view
        }()
        centerView.addSubview(promptImageView)
        promptImageView.snp.makeConstraints { make in
            make.width.height.equalTo(14)
            make.left.equalTo(16)
            make.top.equalTo(16)
        }
        
        titleLabel = {
            let label = UILabel()
            label.font = UIFont.PFSC_M(ofSize: 12)
            label.textColor = UIColor.brandMainColor
            label.text = "温馨提示："
            return label
        }()
        centerView.addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.left.equalTo(38)
            make.top.equalTo(16)
            make.height.equalTo(17)
        }
        
        subTitleLabel = {
            let label = UILabel()
            label.font = UIFont.PFSC_R(ofSize: 12)
            label.textColor = UIColor.labelTextColor2
            label.numberOfLines = 0
            let a: ASAttributedString = .init("您可以", .font(UIFont.PFSC_R(ofSize: 12)),.foreground(UIColor.subTextColor2))
            let aa: ASAttributedString = .init("先下载原件，然后打印去签字/盖章，最后扫描签字/盖章件上传", .font(UIFont.PFSC_R(ofSize: 12)),.foreground(UIColor.brandMainColor))
            label.attributed.text = a + aa
            return label
        }()
        centerView.addSubview(subTitleLabel)
        subTitleLabel.snp.makeConstraints { make in
            make.left.equalTo(15)
            make.right.equalTo(-15)
            make.top.equalTo(38.5)
        }
        
    }
    
    func updateAllViews() {
        guard let dataSource = dataSource else { return }
//        titleLabel.text = dataSource.doc_name
//        subTitleLabel.text = "\(dataSource.doc_type)"
    }

}


